Index: examples/creddy_prover_tests/README
===================================================================
--- examples/creddy_prover_tests/README	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
+++ examples/creddy_prover_tests/README	(revision 2efdff513cde4a13286d4900b93f3b8101bd9404)
@@ -28,4 +28,7 @@
         --dump <file> 
     extracts all credentials from the prolog db
+        --dbdump
+    extracts all prolog rules directly from the prolog db
+
 
 keystore is the location where the prover will search to load credentials.
Index: examples/creddy_prover_tests/allout.save
===================================================================
--- examples/creddy_prover_tests/allout.save	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
+++ examples/creddy_prover_tests/allout.save	(revision 2efdff513cde4a13286d4900b93f3b8101bd9404)
@@ -112,5 +112,5 @@
 prover success!!
 credentials needed :
- pStateU.foundingAlumni  <- pStateU.diploma(_,Year:[1963,1961,1960]) 
+ pStateU.foundingAlumni  <- pStateU.diploma(_,Year:[1960,1961,1963]) 
  pStateU.diploma('mathmatics',1961)  <- pBob 
  
@@ -129,5 +129,5 @@
 prover success!!
 credentials needed :
- pStateU.foundingAlumni  <- pStateU.diploma(D:['psychology','mathmatics'],Year:[1963,1961,1960]) 
+ pStateU.foundingAlumni  <- pStateU.diploma(D:['mathmatics','psychology'],Year:[1960,1961,1963]) 
  pStateU.diploma('mathmatics',1961)  <- pBob 
  
@@ -148,5 +148,5 @@
 prover success!!
 credentials needed :
- pStateU.foundingAlumni  <- pStateU.diploma(D:['psychology','mathmatics'],Year:[1963,1961,1960]) 
+ pStateU.foundingAlumni  <- pStateU.diploma(D:['mathmatics','psychology'],Year:[1960,1961,1963]) 
  pStateU.diploma('psychology',1960)  <- pJan 
 
@@ -161,5 +161,5 @@
 prover success!!
 credentials needed :
- pStateU.foundingAlumni  <- pStateU.diploma(_,Year:[1955 .. 1958]) 
+ pStateU.foundingAlumni  <- pStateU.diploma(_,Year:[1955..1958]) 
  pStateU.diploma('psychology',1956)  <- pMaryann 
  
@@ -168,5 +168,5 @@
 prover success!!
 credentials needed :
- pStateU.foundingAlumni  <- pStateU.diploma(_,Year:[1955 .. 1958]) 
+ pStateU.foundingAlumni  <- pStateU.diploma(_,Year:[1955..1958]) 
  pStateU.diploma('zoology',1955)  <- pJoe 
 
@@ -178,5 +178,5 @@
 credentials needed :
  pLeague.stadium('access',true,F:pLeague.gametime(T))  <- pLeague.players(T) 
- pLeague.gametime('north')  <- time(2012,02,28,13,00,00) 
+ pLeague.gametime('north')  <- 20120228T130000 
  pLeague.players('north')  <- pJohn 
  
@@ -189,5 +189,5 @@
 prover success!!
 credentials needed :
- pLeague.stadium('access',B:[true],F:[20120228T080000 .. 20120228T090000])  <- pLeague.players(T) 
+ pLeague.stadium('access',B:[true],F:[20120228T080000..20120228T090000])  <- pLeague.players(T) 
  pLeague.players('south')  <- pMark 
 
@@ -257,5 +257,5 @@
 prover success!!
 credentials needed :
- pMary.what2eat  <- pRalphs.fruitprice(P:[.. 2.00]) 
+ pMary.what2eat  <- pRalphs.fruitprice(P:[..2.00]) 
  pRalphs.fruitprice(0.50)  <- 'navel orange' 
  
@@ -264,5 +264,5 @@
 prover success!!
 credentials needed :
- pMary.what2eat  <- pRalphs.fruitprice(P:[.. 2.00]) 
+ pMary.what2eat  <- pRalphs.fruitprice(P:[..2.00]) 
  pRalphs.fruitprice(1.50)  <- 'kiwi' 
  
Index: examples/creddy_prover_tests/experiment_create_rt0/README
===================================================================
--- examples/creddy_prover_tests/experiment_create_rt0/README	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
+++ examples/creddy_prover_tests/experiment_create_rt0/README	(revision 2efdff513cde4a13286d4900b93f3b8101bd9404)
@@ -35,5 +35,5 @@
 creddy --attribute \
        --issuer Acme_ID.pem --key Acme_private.pem --role experiment_create \
-       --subject-cert Acme_ID.pem --subject-role partner.experiment_create \
+       --subject-cert Acme_ID.pem --subject-link partner --subject-role experiment_create \
        --out Acme_experiment_create__Acme_partner_experiment_create_attr.der
 
@@ -47,5 +47,5 @@
 creddy --attribute \
        --issuer Globotron_ID.pem --key Globotron_private.pem --role experiment_create \
-       --subject-cert Globotron_ID.pem --subject-role admin.power_user \
+       --subject-cert Globotron_ID.pem --subject-link admin --subject-role power_user \
        --out Globotron_experiment_create__Globotron_admin_power_user_attr.der
 
Index: examples/creddy_prover_tests/payraise_rt1/README
===================================================================
--- examples/creddy_prover_tests/payraise_rt1/README	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
+++ examples/creddy_prover_tests/payraise_rt1/README	(revision 2efdff513cde4a13286d4900b93f3b8101bd9404)
@@ -38,6 +38,6 @@
 joe_keyid=`creddy --keyid --cert Joe_ID.pem`
 
-performance_qT="evaluatorOf([principal:?this]).goodPerformance"
-niceguy_qT="managerOf([principal:?this]).niceCoworker"
+performance_qT="evaluatorOf([principal:?this])"
+niceguy_qT="managerOf([principal:?this])"
 
 manager_qZ="managerOf([principal:?Z])"
@@ -53,6 +53,8 @@
 creddy --attribute \
        --issuer Alpha_ID.pem --key Alpha_private.pem --role payRaise \
-       --subject-cert Alpha_ID.pem --subject-role "$performance_qT" \
-       --subject-cert Alpha_ID.pem --subject-role "$niceguy_qT" \
+       --subject-cert Alpha_ID.pem --subject-link "$performance_qT" \
+                                     --subject-role goodPerformance \
+       --subject-cert Alpha_ID.pem --subject-link "$niceguy_qT" \
+                                     --subject-role niceCoworker \
        --out Alpha_payraise__Alpha_performance_qT_niceguy_qT_attr.der
 
Index: examples/creddy_prover_tests/payraise_rt1/run_query
===================================================================
--- examples/creddy_prover_tests/payraise_rt1/run_query	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
+++ examples/creddy_prover_tests/payraise_rt1/run_query	(revision 2efdff513cde4a13286d4900b93f3b8101bd9404)
@@ -24,4 +24,5 @@
 ## dump all credentials
 $eloc/abac_prover_yap  --keystore $keyloc --dump creds_dump
+#$eloc/abac_prover_yap  --keystore $keyloc --dbdump
 
 # [keyid:alpha].role:payRaise <-?- [keyid:Joe] (no)
